{% extends "references_manager/base.html" %}

{% block title %}- Home{% endblock %}

{% block content %}

<div class="container col-12">
    <!-- Fixed header table-->
    <div class="table-responsive table-bordered bg-white rounded shadow">
        <table class="table table-fixed table-striped">
            <thead class="thead-dark" id="table-head-link">
                <tr>
                    <th>Name</th>

                    <th>Type</th>
                    <th>A (mm)</th>
                    <th>B (mm)</th>
                    <th>C (mm)</th>
                    <th>A (inch)</th>
                    <th>B (inch)</th>
                    <th>C (inch)</th>

                </tr>
            </thead>
            <tbody id="table-link">
            {% for product in page_obj %}
                <tr>
                    <th><a href="{% url 'detail-page' product.id %}">{{ product.name }} <span style="float:right;"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></span></a></th>

                    <td>{{ product.type }}</td>
                    <td>{% if product.a_in_mm != 0 %}{{ product.a_in_mm }}{% endif %}</td>
                    <td>{% if product.b_in_mm != 0 %}{{ product.b_in_mm }}{% endif %}</td>
                    <td>{% if product.c_in_mm != 0 %}{{ product.c_in_mm }}{% endif %}</td>
                    <td>{% if product.a_in_inches != 0 %}{{ product.a_in_inches }}{% endif %}</td>
                    <td>{% if product.b_in_inches != 0 %}{{ product.b_in_inches }}{% endif %}</td>
                    <td>{% if product.c_in_inches != 0 %}{{ product.c_in_inches }}{% endif %}</td>

                </tr>
            {% endfor %}
            </tbody>
        </table>

    </div>
    <div class="pagination" id="container-link">
            <span class="step-links">
                {% if page_obj.has_previous %}
                    <a href="?page=1">&laquo; first</a>
                    <a href="?page={{ page_obj.previous_page_number }}">previous</a>
                {% endif %}

                <span class="current">
                    Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
                </span>

                {% if page_obj.has_next %}
                    <a href="?page={{ page_obj.next_page_number }}">next</a>
                    <a href="?page={{ page_obj.paginator.num_pages }}">last &raquo;</a>
                {% endif %}
            </span>

         | {{ product_count }} Products and {{ reference_count }} cross references of {{ company_count }} manufacturers.
    </div>
</div>


{% endblock content %}

